<?php

// set a pretty high upload max
ini_set(upload_max_filesize, 1024 * 1024 * 1024);

require_once("include.php");
require_once("publishing.php");

$files = $store->getAllFiles();
$channels = $store->getAllChannels();

//
// don't let the user access this page if they don't have the permission to upload
//
requireUploadAccess();

//
// we need to figure out if this is an admin user, or if it's not,
// is there an accessible channel to post to
//
if ( ! is_admin() ) {

	$has_usable_channel = false;

	foreach ($channels as $channel) {
		if ( $channel["OpenPublish"] ) {
			$has_usable_channel = true;
			break;
		}
	}

	if ( ! $has_usable_channel ) {
		bm_header();
?>
<div class="wrap">
Sorry, there are no publicly accessible channels for publishing content at this time.
</div>
<?
		bm_footer();
		exit;
	}
}

//
// set up some defaults here
//
$filehash = "";
$file_url = "";
$title = "";
$desc = "";
$image = "http://";
$license_url = "";
$license_name = "";
$creator = "";
$rights = "";
$keywords = "";
$people_array = array();
$webpage = "";
$mimetype = "";
$publishday = date("j");
$publishmonth = date("n");
$publishyear = date("Y");
$publishhour = date("G");
$publishminute = date("i");
$releaseday = "";
$releasemonth = -1;
$releaseyear = "";
$explicit = 0;
$excerpt = 0;
$runninghours = "";
$runningminutes = "";
$runningseconds = "";
$transcript_text = "";
$transcript_url = "";
$sharing_enabled = false;



//
// user is editing, let's grab the file info
//
if (isset($_GET["i"])) {
	$filehash = $_GET["i"];
	$files = $store->getAllFiles();

	$file = $files[$filehash];
	$file_url = $file['URL'];
	$title = $file['Title'];
	$desc = $file['Desc'];
	$image = $file['Image'];
	$license_url = $file['LicenseURL'];
	$license_name = $file['LicenseName'];
	$creator = $file['Creator'];
	$rights = $file['Rights'];
	$keywords = implode("\n",$file['Keywords']);
	$people_array = $file['People'];
	$webpage = $file['Webpage'];
	$mimetype = $file['Mimetype'];
	$publishtime = $file['Publishdate'];
	$publishday = date("j",$publishtime);
	$publishmonth = date("n",$publishtime);
	$publishyear = date("Y",$publishtime);
	$publishhour = date("G",$publishtime);
	$publishminute = date("i",$publishtime);
	$releaseday = $file['ReleaseDay'];
	$releasemonth = $file['ReleaseMonth'];
	$releaseyear = $file['ReleaseYear'];
	$explicit = $file['Explicit'];
	$excerpt = $file['Excerpt'];
	$runninghours = $file['RuntimeHours'];
	$runningminutes = $file['RuntimeMinutes'];
	$runningseconds = $file['RuntimeSeconds'];
	$transcript_url = $file['Transcript'];
	$transcript_text = "";

	if ( isset($file['SharingEnabled']) ) {
		$sharing_enabled = $file['SharingEnabled'];
	}
	else {
		$sharing_enabled = false;
	}

	if (stristr($transcript_url,get_base_url())) {
		$transcript_text = file_get_contents('text/' . $filehash . ".txt");
		$transcript_url = "";
	}

/*	//
	// what channels is this video on?
	//
	$channels = $store->getAllChannels();


	foreach ($channels as $channel) {
//		$keys = array_keys($channel['Files']);
		$keys = $channel['Files'];
		print_r($keys);
		foreach ($keys as $key) {
			$file = $channel['Files'][$key];
print $file[0] . " - " . $filehash . "<br>";
			if ($file[0] == $filehash) {
				$channelIDs[] = $channel['ID'];
			}
		}
	}*/
} 
else if ( isset($_POST["post_do_save"]) ) {
	$result = publish_file($_POST);

	if ( $result ) {
		header('Location: ' . get_base_url() . 'edit_videos.php' );
		exit;
	}
	else {
		global $errorstr;

		$file_url = $_POST["post_file_url"];
		$filehash = $_POST["post_filehash"];		

		if ($filehash == "") {
			$filehash = sha1($file_url);
		}

		$title = encode($_POST["post_title"]);
		$desc = encode($_POST["post_desc"]);
		$image = $_POST["post_image"];
		$license_url = encode($_POST["post_license_url"]);
		$licenseName = encode($_POST["post_license_name"]);
		$creator = encode($_POST["post_creator"]);
		$rights = encode($_POST["post_rights"]);
		$temp_keywords = explode("\n", $_POST["post_keywords"]);
		$people_array = explode("\n", $_POST["post_people"]);
		$webpage = encode($_POST["post_webpage"]);
		$mimetype = $_POST["post_mimetype"];
		$runtime_hours = $_POST["post_length_hours"];
		$runtime_minutes = $_POST["post_length_minutes"];
		$runtime_seconds = $_POST["post_length_seconds"];
		$publish_date = strtotime(($_POST["post_publish_month"] + 1) . "/" . $_POST["post_publish_day"] . "/" . $_POST["post_publish_year"] . " " . $_POST["post_publish_hour"] . ":" . $_POST["post_publish_minute"]);
		
		$release_year = $_POST["post_release_year"];
		$release_month = $_POST["post_release_month"];
		$release_day = $_POST["post_release_day"];
//		$channelIDs = explode(",", $_POST["post_channels"]);
		$channelIDs = $_POST["post_channels[]"];
		
		$sharing_enabled = isset($_POST["sharing_enabled"]);

		$keywords = $_POST["post_keywords"];
		$people = $_POST["post_people"];
		$transcript_url = $_POST["post_transcript_url"];
	}

}

$months = array(
		"January", "February", "March", "April", "May", "June", 
		"July", "August", "September", "October", "November", "December");

bm_header();

?>

<SCRIPT LANGUAGE="JavaScript">
<!-- Begin
var hash = '';
var torrent_name = '';

// cjm - once we've started the BM helper, or if we're editing a file, then don't let the user
// open up the helper again - does this make sense?
/*var editing_file = <?php
if ( isset($_GET["i"]) ) {
  print "true;";
}
else {
  print "false";
}
?>
*/

var pollTimer;

function popUp(URL) {
	day = new Date();
	id = day.getTime();

	eval("page" + id + " = window.open(URL, '" + id + "', 'toolbar=0,scrollbars=1,location=0,statusbar=0,menubar=0,resizable=0,width=640,height=600');");

}

function start_polling() {
	if (hash == '') {
		pollTimer = setTimeout('start_polling()', 500);
	} 
	else {
		do_poll();
	}
}

function do_poll() {
	window.frames['poll'].location = 'poll.php?i=' + hash;

	if (torrent_name == "") {
		pollTimer = setTimeout('do_poll()',5000);
	} 
	else {
		document.getElementById('video_blurb').innerHTML = '<div style="color: #A00;">Now sharing "' + torrent_name + '".<br /> <strong>You must keep the BM Helper window open for this file to remain available.</strong></div>';
	}
}


function upload() {
  
    if (hash != '') {
      hash = '';
      torrent_name = '';
      // dont hide the help text at this point (bug #1210035)
      //		document.getElementById('video_blurb').innerHTML = '';
    }

    window.frames['uploader'].location = 'trigger.php';
    pollTimer = setTimeout('start_polling()', 500 );
<?php
    // only display this server-sharing checkbox if server sharing is turned on
    global $settings;
    if ( isset($settings["sharing_enable"]) && $settings["sharing_enable"] == 1 ) {
      echo("document.getElementById('server_sharing').style.display = 'block';");
    }
?>

}



function isFull() {

	frm = document.getElementById('post');

	if (document.getElementById('people_table').rows.length > 2) {
		var do_add = true;

		for( i = 0; i < frm.post_people_name.length; i++ ) {

			if ( frm.post_people_name[i].value == '' || 
					frm.post_people_role[i].value == '' ) {
				do_add = false;
				break;
			}
		}

		if (do_add) {
			addPeople();
		}

	} 
	else {

		if (frm.post_people_name.value != '' && frm.post_people_role.value != '') {
			addPeople();
		}
	}

}

function addPeople() {

	lyr = document.getElementById('people_table');

	var oNewRow = lyr.insertRow(-1);
	var oNewCell1 = document.createElement("TD");
	var oNewCell2 = document.createElement("TD");

	oNewRow.appendChild(oNewCell1);
	oNewRow.appendChild(oNewCell2);

	oNewCell1.innerHTML = '<input type="text" name="post_people_name" value="" onKeyDown="isFull();"/>';
	oNewCell2.innerHTML = '<input type="text" name="post_people_role" value="" onKeyDown="isFull();"/>';
}

function do_submit(frm) {

	var err = '';

	if (hash != '') {
		frm.post_file_url.value = hash;
		frm.post_mimetype.value = 'application/x-bittorrent';
	} 
	else if (
		(frm.post_file_url.value == '' || frm.post_file_url.value == 'http://') &&
		frm.post_file_upload.value == ''	) {
		err = 'Please enter a file location or upload a file';
	}

	// clear out the values of the form widgets that aren't visible, so their data isn't stored as the file info
	if ( document.getElementById('upload_file').style.display == 'block' ) {
		document.getElementById('specify_url').value = '';
		frm.post_file_url.value = '';
	}
	else if ( document.getElementById('specify_url').style.display == 'block' ) {
		document.getElementById('upload_url').value = '';
		frm.post_file_url.value = '';
	}

//	var channel_array = new Array();
	var channel_count = 0;

//	for( i=0; i < document.getElementById('post_channels[]').length; i++ ) {
//		if ( document.getElementById('post_channels[]').checked ) {
	for( i=0; i < frm['post_channels[]'].length; i++ ) {
		if ( frm['post_channels[]'][i].checked == true ) {
			channel_count++;
//			channel_array.push(frm['post_channels[]'][i].value);
		}
	}

	//
	// cjm - ask the user if they want to select a channel before saving
	//	
	if ( channel_count == 0 ) {
		var channel_go = confirm("You haven't selected a channel - Would you like to continue anyway?");
		if ( channel_go == false ) {
			return false;
		}		
	}

	frm.post_people.value = '';

	if ( document.getElementById('people_table').rows.length > 2 ) {

		for( i=0; i < frm.post_people_name.length; i++ ) {
			if ( frm.post_people_name[i].value != '' && frm.post_people_role[i].value != '' ) {
				frm.post_people.value += frm.post_people_name[i].value + ':' + frm.post_people_role[i].value + '\n';
			}
		}

	} 
	else {
		frm.post_people.value = frm.post_people_name.value + ':' + frm.post_people_role.value;
	}

//	frm.post_channel_array.value = channel_array.join(',');

	if (err == '') {

		if ( document.getElementById('upload_file').style.display == 'block' ) {
			document.getElementById('progress_bar').style.display = 'block';
			document.getElementById('progress_bar2').style.display = 'block';
		}

		return true;
	} 

	alert(err);
	return false;
}
// End -->
</script>


<!-- BASIC PUBLISHING OPTIONS -->
<div class="wrap">

<form name="post" action="publish.php" method="post" id="post" 
		onLoad="this.reset();" onSubmit="return do_submit(this);" enctype="multipart/form-data">

	<input type="hidden" name="post_do_save" class="hidden" value="1" />

	<input type="hidden" name="post_mimetype" value="<?php echo $mimetype; ?>" class="hidden">
	<input type="hidden" name="post_people" class="hidden"/>
	<!-- input type="hidden" name="post_channel_array" class="hidden"/ -->
	<input type="hidden" name="post_filehash" class="hidden" value="<?php echo $filehash; ?>"/>

<div id="poststuff">

<div class="page_name">
   <h2>Publish</h2>
   <div class="help_pop_link">
      <a href="javascript:popUp('http://www.participatoryculture.org/
bm/help/publish_popup.php')">
<img src="images/help_button.gif" alt="help"/></a>
   </div>
</div>

<?php 

global $errorstr;

if ( isset($errorstr) ) {
	if ( $errorstr == "404" ) {
		$errorstr = "Sorry, it looks like your file isn't at the URL you specified";
	}

	print "<p><strong>Error: $errorstr</strong></p>\n";
}
?>

<?php
	// cjm - for now allowing edit of the file url
	if (1 || $file_url == "") {

		if ( $file_url == "" ) {
			$file_url = "http://";
		}
?>

<div class="section">
<fieldset id="video_file">
<img href="#" 
	onClick="upload(); return false;" 
	style="border: 0px solid black; vertical-align: bottom;" 
	src="images/post_torrent_button.gif" border=0 alt="Post a Torrent" />

<!-- javascript explanation - hide the form widget that's not in use here -->
&nbsp;<em>or</em>&nbsp;&nbsp;<a href="#" 
		onClick="document.getElementById('upload_file').style.display = 'block'; document.getElementById('specify_url').style.display = 'none'; return false;">Upload File</a>&nbsp;&nbsp;
		<em>or</em>
&nbsp;&nbsp;<a href="#" 
		onClick="document.getElementById('specify_url').style.display = 'block'; document.getElementById('upload_file').style.display = 'none'; return false;">Link to a File</a>
<div <?php if ( !isset($file_url) || is_local_torrent($file_url) || $file_url == "http://") { echo 'style="display:none;"'; } ?> id="specify_url">
Specify URL: <input type="text" name="post_file_url" size="60" value="<?php echo $file_url; ?>" />
</div>

<div style="display:none;" id="upload_file">
<input type="file" name="post_file_upload" value="Choose File" /><br />
<strong>Please Note:</strong> Uploading files with your browser can take several minutes or longer, 
depending on the file size.  The file upload will begin when you click "Publish".  Please be patient 
and do not touch the browser while your file is uploading.  Also be aware that servers sometimes have 
a limit on the maximum size of an uploaded file.  For files larger than 2 or 3 megabytes, we generally 
recommend either posting a torrent or using an FTP program and then linking to the file.
</div>
    </fieldset>

<div <?php if ( ! $sharing_enabled && ! is_local_torrent($file_url) ) echo 'style="display:none;"' ?> id="server_sharing">
<fieldset>
	<input type=checkbox name="sharing_enabled" value="1" 
<?php 
	global $settings;
	if ( $sharing_enabled || ( isset($settings["sharing_auto"]) && $settings["sharing_auto"] == 1 ) ) echo " checked"; 
?> /> Enable server sharing for this file
</fieldset>
</div>


<fieldset id="video_blurb">
<?php
if ( is_local_torrent($file_url) ) {
//		$torrentfile = urldecode(substr($file_url,strlen(get_base_url()) + 9));
		$torrentfile = local_filename($file_url);
?>

<div style="color: #A00;">Sharing "<?php echo $torrentfile; ?>".<br /> 
<strong>You must keep the BM Helper window open for this file to remain available.</strong></div>

<?php
}
else {
?>
		To post a torrent, you need to download Broadcast Machine 
		Helper: <a href="#" onClick="window.frames['uploader'].location = 'download.php?type=exe'; return false;">Windows</a> | 
		<a href="#" onClick="window.frames['uploader'].location = 'http://www.blogtorrent.com/demo/BM%20Helper.dmg'; return false;">Mac</a>
<?php
      }
?>
	</fieldset>
</div>

<iframe width="0" height="0" frameborder="0" src="" name="uploader"></iframe>
<iframe width="0" height="0" frameborder="0" src="" name="poll"></iframe>

<?php

	} 
	else {

?>

<input type="hidden" name="post_file_url" value="<?php echo $file_url; ?>" class="hidden">

<?php
	}
?>

<div class="section">

<fieldset id="channel_selection">
      <legend>Publish to These Channels</legend>

      <ul> <!-- input type="hidden" name="post_channels" value="nah" class="hidden"/ -->

<?php
	foreach ($channels as $channel) {

		if ( is_admin() || $channel["OpenPublish"] ) {

			print("<li>");
						
			print("<input type=checkbox name=\"post_channels[]\" value=\"" . $channel['ID'] . "\"");
			if ( isset($channelIDs) ) {
				foreach ( $channelIDs as $channel_id ) {
					if ( $channel_id == $channel["ID"] ) {
						print(" checked=\"true\"");
						break;
					}
				}
			}

			if ($file_url != "") {

				foreach ($channel["Files"] as $list) {
					if ($list[0] == $filehash) {
						print(" checked=\"true\"");
						break;
					}
				}

			}

			print(" /> ");

			// display channel icon if we have one
			if ( isset($channel["Icon"]) && $channel["Icon"] != "" ) {
				print "<img src=\"" . $channel["Icon"] . "\" width=16 />&nbsp;";
			}

			print( $channel['Name'] . "<br/>\n");
		}
	}
?>

	    </ul>
</fieldset>


<fieldset>
<div class="the_legend">Title: </div><br /><input type="text" name="post_title" size="38" value="<?php echo $title; ?>"/>
</fieldset>

<fieldset>
       <div class="the_legend">Description (optional):</div><br /><textarea rows="4" cols="38" name="post_desc"><?php echo $desc; ?></textarea>
</fieldset>

<fieldset><div class="the_legend">Thumbnail (optional): </div>
<a href="#" onClick="document.getElementById('specify_image').style.display = 'none'; document.getElementById('upload_image').style.display = 'block'; return false;">Upload Image</a> or <a href="#" onClick="document.getElementById('upload_image').style.display = 'none'; document.getElementById('specify_image').style.display = 'block'; return false;">Specify URL</a>

<div style="display:none;" id="upload_image">
<input type="file" name="post_image_upload" value="Choose Image" />
</div>


<div id="specify_image" style="display:<?php

	if ($image == "" || $image == "http://") {
		echo "none";
	} else {
		echo "block";
	}

?>;" >

<input type="text" name="post_image" size="40" value="<?php echo $image; ?>"/>

</div>
</fieldset>

<fieldset><img src="images/cc_logo_17px.png" alt="CC logo" /> Creative Commons (optional): <input type="text" name="post_license_name" size="38" value="<?php echo $license_name; ?>" onFocus="this.blur();" autocomplete="off" class="blended"/><br/>

<a href="#" onClick="window.open('http://creativecommons.org/license/?partner=bmachine&exit_url=' + escape('<?php echo get_base_url(); ?>cc.php?license_url=[license_url]&license_name=[license_name]'),'cc_window','scrollbars=yes,status=no,directories=no,titlebar=no,menubar=no,location=no,toolbar=no,width=450,height=600'); return false;"><?php

	if ($license_url == "") {
		echo "Choose";
	} else {
		echo "Change";
	}

?> License</a>

<input type="hidden" name="post_license_url" value="<?php echo $license_url; ?>" class="hidden"/>

</fieldset>
</div>


<p class="publish_button" style="clear: both;">
<input style="border: 0px solid black;" type="image" src="images/publish_button.gif" border=0 alt="Continue" />
</p>

<div style="display:none;" id="progress_bar">
<img src="images/upload.gif" width="32" height="32">
<big>Please Wait...</big>
</div>

<div class="section optional">
<div class="section_header">Optional: Additional Information</div>

    <fieldset>
      <div class="the_legend">Creator (can be multiple or an organization)</div><br /><input type="text" name="post_creator" size="40" value="<?php echo $creator; ?>"/>
    </fieldset>

    <fieldset>
      <div class="the_legend">Copyright Holder (if different than creator)</div><br /><input type="text" name="post_rights" size="40" value="<?php echo $rights; ?>"/>
    </fieldset>

    <fieldset>
      <div class="the_legend">Keywords / Tags (1 per line)</div><br/><textarea name="post_keywords" rows="4" cols="38"><?php echo $keywords; ?></textarea>
    </fieldset>

<fieldset style="clear:both" id="postdiv">
       <div class="the_legend">People Involved</div>
<div><table cellpadding="2" cellspacing="0" border="0" id="people_table">
	<tr>
		<td width="200"><font class="the_legend">Name</font></td>
		<td width="200"><font class="the_legend">Role</font></td>
	</tr>

<?php
	foreach ($people_array as $people_row) {
		if ( isset( $people_row[0] ) && isset( $people_row[1] ) ) {
?>
	<tr>
		<td><input type="text" name="post_people_name" value="<?php echo $people_row[0]; ?>" onKeyDown="isFull();"/></td>
		<td><input type="text" name="post_people_role" value="<?php echo $people_row[1]; ?>" onKeyDown="isFull();"/></td>
	</tr>
<?php
		}
	}
?>
	<tr>
		<td><input type="text" name="post_people_name" value="" onKeyDown="isFull();"/></td>
		<td><input type="text" name="post_people_role" value="" onKeyDown="isFull();"/></td>
	</tr>
</table>
</div>
</fieldset>

<fieldset style="clear:both" id="postdiv">

       <div class="the_legend"><a href="#" onClick="document.getElementById('transcript_upload').style.display = 'none'; document.getElementById('transcript_url').style.display = 'none'; document.getElementById('transcript_text').style.display = 'block'; return false;" style="font-weight:normal;">Enter Transcript Text</a> <em>or</em> <a href="#" onClick="document.getElementById('transcript_text').style.display = 'none'; document.getElementById('transcript_url').style.display = 'none'; document.getElementById('transcript_upload').style.display = 'block'; return false;">Upload text file</a> <em>or</em> <a href="#" onClick="document.getElementById('transcript_upload').style.display = 'none'; document.getElementById('transcript_text').style.display = 'none'; document.getElementById('transcript_url').style.display = 'block'; return false;">Specify URL</a></div>

<div id="transcript_text"<?php
	if ($transcript_url != "") {
		print(" style=\"display:none;\"");
	}
?>>

<textarea rows="3" cols="40" name="post_transcript_text"><?php echo $transcript_text; ?></textarea>
</div>

<div id="transcript_upload" style="display:none;">
<input type="file" name="post_transcript_file"/>
</div>

<div id="transcript_url"<?php
	if ($transcript_url == "") {
		print(" style=\"display:none;\"");
	}
?>>

<input type="text" name="post_transcript_url" size="40" value="<?php echo $transcript_url; ?>"/>
</div>
</fieldset>

<fieldset>
  <div class="the_legend">Associated Webpage </div><br /><input type="text" name="post_webpage" size="40" value="<?php echo $webpage; ?>"/>
</fieldset>


<fieldset>Release Date
<div class="input_sub">
Day: <select name="post_release_day">
	<option value=""></option>
<?php

	for ( $i=1; $i<=31; $i++ ) {
		print("<option value=" . $i);
		if ($i == $releaseday) {
			print(" selected=\"true\"");
		}
		print(">" . $i . "</option>");
	}

?>
</select>

&nbsp;&nbsp;Month: <select name="post_release_month">
	<option value=""></option>

<?php

	for ( $i = 0; $i < count($months); $i++ ) {

		print("<option value=" . $i);
		if ($releasemonth != "" && $i == $releasemonth) {
			print(" selected=\"true\"");
		}
		print(">" . $months[$i] . "</option>");

	}

?>
</select>

&nbsp;&nbsp;Year: <input type="text" name="post_release_year" size="4" maxlength="5" value="<?php echo $releaseyear; ?>"/>

</div>
</fieldset>

<fieldset>
Play Length

<div class="input_sub">
Hours: <input type="text" name="post_length_hours" size="2" value="<?php echo $runninghours; ?>"/> Minutes: <select name="post_length_minutes">
	<option value=""></option>
<?php

	for ( $i=0; $i < 60; $i++ ) {

		$min = str_pad($i,2,'0',STR_PAD_LEFT);

		print("<option value=" . $min);
		if ($min == $runningminutes) {
			print(" selected=\"true\"");
		}
		print(">" . $min . "</option>");
	}

?>

</select> Seconds: <select name="post_length_seconds">

	<option value=""></option>

<?php

	for ( $i=0; $i < 60; $i++ ) {

		$sec = str_pad($i,2,'0',STR_PAD_LEFT);

		print("<option value=" . $sec);
		if ($sec == $runningseconds) {
			print(" selected=\"true\"");
		}
		print(">" . $sec . "</option>");
	}

?>

</select>&nbsp;&nbsp;&nbsp;<input type="checkbox" name="post_is_excerpt"<?php if ($excerpt) {

	print(" checked=\"true\"");

}?>/> This is an excerpt of a longer piece.

</div>
</fieldset>


<fieldset><input type="checkbox" name="post_explicit"<?php if ($explicit) {
	print(" checked=\"true\"");
}?>> Contains explicit content (some search services filter based on this).
</fieldset>

<fieldset>
Timestamp

<div class="input_sub">Will be set to the time that you press 'publish'. <a href="#" onClick="document.getElementById('publish_time').style.display = 'block'; return false;">Manually Edit Timestamp</a></div>

<div id="publish_time" style="display:none;">
<select name="post_publish_day">
<?php
	for ( $i=1; $i<=31; $i++ ) {

		print("<option value=" . $i);
		if ($i == $publishday) {
			print(" selected=\"true\"");
		}
		print(">" . $i . "</option>");

	}
?>
</select>

<select name="post_publish_month">
<?php
	for ( $i=0; $i < count($months); $i++ ) {

		print("<option value=" . $i);
		if ($i == ($publishmonth-1)) {
			print(" selected=\"true\"");
		}
		print(">" . $months[$i] . "</option>");
	}
?>
</select>

<select name="post_publish_year">
<?php
	for( $i=2005; $i<2026; $i++ ) {

		print("<option value=" . $i);
		if ($i == $publishyear) {
			print(" selected=\"true\"");
		}
		print(">" . $i . "</option>");
	}
?>
</select> @

<select name="post_publish_hour">
<?php
	for ($i=0; $i <= 23; $i++ ) {

		print("<option value=" . $i);
		if ($i == $publishhour) {
			print(" selected=\"true\"");
		}
		print(">" . $i . "</option>");
	}

?>
</select>:<select name="post_publish_minute">

<?php
	for ( $i=0; $i < 60; $i++ ) {

		$min = str_pad($i,2,'0',STR_PAD_LEFT);

		print("<option value=" . $min);
		if ($min == $publishminute) {
			print(" selected=\"true\"");
		}
		print(">" . $min . "</option>");
	}
?>
</select>

<input type="text" name="aa" value="2004" size="4" maxlength="5" /> @
<input type="text" name="hh" value="16" size="2" maxlength="2" /> :
<input type="text" name="mn" value="41" size="2" maxlength="2" /> :
<input type="text" name="ss" value="14" size="2" maxlength="2" />

</div>
</div>

<p class="publish_button" style="clear: both;">
<input style="border: 0px solid black;" type="image" src="images/publish_button.gif" border=0 alt="Continue" />
</p>

<div style="display:none;" id="progress_bar2">
<img src="images/upload.gif" width="32" height="32">
<big>Please Wait...</big>
</div>


</div>
</form>
<?php
bm_footer();


/*
 * Local variables:
 * tab-width: 2
 * c-basic-offset: 2
 * indent-tabs-mode: nil
 * End:
 */

?>
